انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

نویسنده موضوع: مشکل اسنپ  (دفعات بازدید: 2441 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
مشکل اسنپ
« : 17 اسفند 1400، 01:33 ب‌ظ »
با اسنپ وی اس کد رو نصب کردم ولی اجرا نمیشد. با ترمینال بازش کردم اینو میگه:
mt@mt-MS-7695:~$ snap run code
/snap/code/89/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders: /snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /lib/x86_64-linux-gnu/libgtk3-nocsd.so.0)
/snap/code/89/usr/share/code/bin/../code: /snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.34' not found (required by /lib/x86_64-linux-gnu/libgtk3-nocsd.so.0)

از نسخه .deb نمی تونم استفاده کنم لگ داره.
خداحافظ لینوکس!

آفلاین mamadism

  • Hero Member
  • *
  • ارسال: 710
  • جنسیت : پسر
  • UBUNTU 20.04 USER
    • راه های ارتباطی من
پاسخ : مشکل اسنپ
« پاسخ #1 : 17 اسفند 1400، 02:01 ب‌ظ »
فکر کنم مشکل از این کتابخونه ای که گفته هست ! فکر کنم نصب نباشه
required by /lib/x86_64-linux-gnu/libgtk3-nocsd.so.0
« آخرین ویرایش: 17 اسفند 1400، 02:03 ب‌ظ توسط mamadism »
تکیه بر تقوا و دانش در طریقت کافریست
راهرو گر صد هنر دارد توکل بایدش

آنلاین Dragon-

  • عضو کاربران ایرانی اوبونتو
  • *
  • ارسال: 3769
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #2 : 17 اسفند 1400، 02:41 ب‌ظ »
مشکل مربوط به glibc هست. ولی از اونجایی که مربوط به snap هست، نباید برای سیستم اصلی مشکلی پیش بیاره.
میدونید که زکات علم نشر آن است

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #3 : 17 اسفند 1400، 03:10 ب‌ظ »
خب چجوری رفعش کنم؟ الان چی رو نصب کنم؟
تو مخازن glibc نداشت.
خداحافظ لینوکس!

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #4 : 18 اسفند 1400، 11:25 ق‌ظ »
کسی راه حلی نداره؟
خداحافظ لینوکس!

آنلاین Dragon-

  • عضو کاربران ایرانی اوبونتو
  • *
  • ارسال: 3769
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #5 : 18 اسفند 1400، 12:10 ب‌ظ »
آخرین نسخه appimage رو امتحان کنید. مشکلی که قبلا باهاش داشتید، حل شده.
میدونید که زکات علم نشر آن است

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #6 : 18 اسفند 1400، 12:44 ب‌ظ »
آخرین نسخه appimage رو امتحان کنید. مشکلی که قبلا باهاش داشتید، حل شده.
به دلایلی ترجیح میدم از appimage استفاده نکنم.
همین نسخه اسنپ رو نمیشه درست کرد؟ راه حلی نداره؟
خداحافظ لینوکس!

آنلاین Dragon-

  • عضو کاربران ایرانی اوبونتو
  • *
  • ارسال: 3769
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #7 : 18 اسفند 1400، 12:53 ب‌ظ »
پاکش کنید و دوباره نصبش کنید. نمی‌دونم چجوری باید درستش کنید.
میدونید که زکات علم نشر آن است

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #8 : 18 اسفند 1400، 01:04 ب‌ظ »
پاکش کنید و دوباره نصبش کنید. نمی‌دونم چجوری باید درستش کنید.
این کار رو هم کرده بودم قبل از زدن تاپیک.
فکر کنم باید از vscodium استفاده کنم چون قبلا با این مشکلی نداشت.
تست کردم این پست رو ادیت می کنم.

ویرایش: با اون هم اینجوریه. مشکل از یک جای دیگست انگار.
« آخرین ویرایش: 18 اسفند 1400، 02:01 ب‌ظ توسط Mt »
خداحافظ لینوکس!

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #9 : 18 اسفند 1400، 06:42 ب‌ظ »
گفتم کسی راه حلی به ذهنش نمی رسه و تصمیم گرفتم خودم انگولکش کنم شاید درست شد.
هیچی دیگه رفتم بسته libgtk3-nocsd0 رو حذف کردم و اجرا کردم درست شد!
اولش اجرا کردم یک لاگ سنگینی انداخت بستم دوباره اجرا کردم کمتر شد.
mt@mt-MS-7695:~$ code
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
وقتی --verbose گذاشتم اینو نوشت:
mt@mt-MS-7695:~$ code --verbose
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
Gtk-Message: 18:18:41.840: Failed to load module "xapp-gtk3-module"
/usr/lib/x86_64-linux-gnu/gio/modules/libgiognomeproxy.so: undefined symbol: g_task_set_name
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiognomeproxy.so
/usr/lib/x86_64-linux-gnu/gio/modules/libgiolibproxy.so: undefined symbol: g_task_set_name
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiolibproxy.so
/snap/code/90/usr/share/code/../../lib/x86_64-linux-gnu/libgnutls.so.30: version `GNUTLS_3_6_3' not found (required by /usr/lib/x86_64-linux-gnu/gio/modules/libgiognutls.so)
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgiognutls.so
/snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so)
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so
/snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.33' not found (required by /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so)
Failed to load module: /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so
[7576:0309/181841.975050:ERROR:angle_platform_impl.cc(44)] Display.cpp:840 (initialize): ANGLE Display::initialize error 12289: glXQueryExtensionsString returned NULL
[7576:0309/181841.975322:ERROR:gl_surface_egl.cc(780)] EGL Driver message (Critical) eglInitialize: glXQueryExtensionsString returned NULL
[7576:0309/181841.975457:ERROR:gl_surface_egl.cc(1373)] eglInitialize OpenGL failed with error EGL_NOT_INITIALIZED, trying next display type
[7576:0309/181841.977674:ERROR:angle_platform_impl.cc(44)] Display.cpp:840 (initialize): ANGLE Display::initialize error 12289: glXQueryExtensionsString returned NULL
[7576:0309/181841.977902:ERROR:gl_surface_egl.cc(780)] EGL Driver message (Critical) eglInitialize: glXQueryExtensionsString returned NULL
[7576:0309/181841.977971:ERROR:gl_surface_egl.cc(1373)] eglInitialize OpenGLES failed with error EGL_NOT_INITIALIZED
[7576:0309/181841.978131:ERROR:gl_initializer_linux_x11.cc(178)] GLSurfaceEGL::InitializeOneOff failed.
[7576:0309/181841.980552:ERROR:viz_main_impl.cc(160)] Exiting GPU process due to errors during initialization
[7583:0309/181842.005564:ERROR:gpu_init.cc(440)] Passthrough is not supported, GL is swiftshader
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
[main 2022-03-09T14:48:42.084Z] [File Watcher (node.js)] Request to start watching: /home/mt/.config/Code/User (excludes: <none>),/home/mt/.config/Code/User/settings.json (excludes: <none>)
[main 2022-03-09T14:48:42.100Z] Sending env to running instance...
[main 2022-03-09T14:48:42.103Z] [File Watcher (node.js)] Started watching: '/home/mt/.config/Code/User'
[main 2022-03-09T14:48:42.104Z] [File Watcher (node.js)] Error: ENOENT: no such file or directory, stat '/home/mt/.config/Code/User/settings.json'
[main 2022-03-09T14:48:42.341Z] Sent env to running instance. Terminating...
[main 2022-03-09T14:48:42.341Z] Lifecycle#kill()
[main 2022-03-09T14:48:42.341Z] Lifecycle#onWillShutdown.fire()
البته نمی دونم این بسته که پاک کردم چی بود. ولی اگر بسته سیستمی باشه ممکنه من الان حذفش کردم با do-release-upgrade دوباره نصبش نکنه و جز بسته های manual installed حساب کنه؟
یک اروری هم اینجا نوشته فکر کنم مربوط به این بستست. عکسش رو پیوست کردم.
بسته رو دوباره نصب کنم؟ این عکسه چی میگه؟ الان چی کار باید بکنم؟
فکر کنم گند زدم به سیستم  ;D این ارور مربوط به وی اس کد نیست اصلا! هر دستوری تایپ می کنم همینو می نویسه. حتی ترمینال رو باز می کنم همینا رو نوشته.
خداحافظ لینوکس!

آفلاین Mehr32

  • High Hero Member
  • *
  • ارسال: 3703
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #10 : 18 اسفند 1400، 06:51 ب‌ظ »
نقل‌قول
خطایی روی داد، لطفاً Package Manager را از منوی کلیک راست اجرا کنید یا در یک ترمینال apt-get را اجرا کنید تا ببینید مشکل چیست.  پیام خطا این بود: "ROR: Id.so: شی "libgtk3-nocsd.so.0" از LD_PRELOAD نمی تواند از قبل بارگیری شود (فایل شی مشترک باز نمی شود): نادیده گرفته می شود. ERROR: Id.so: شی "libgtk3-nocsd.so"  0.0 از LD_PRELOAD نمی‌تواند از قبل بارگیری شود (فایل شی اشتراک‌گذاری شده باز نمی‌شود): نادیده گرفته می‌شود. خطا: Id.so: شی «libgtk3-nocsd.so.0» از LD_PRELOAD نمی‌تواند از قبل بارگیری شود (فایل شی اشتراک‌گذاری شده باز نمی‌شود): نادیده گرفته می‌شود. ERROR:  Id.so: شی "libgtk3-nocsd.so.0 از LD_PRELOAD نمی تواند از قبل بارگیری شود (فایل شی مشترک باز نمی شود): نادیده گرفته می شود. 0:0. این معمولاً به این معنی است که بسته های نصب شده شما وابستگی های برآورده نشده دارند
گفته چه دستوری رو اجرا کنید
پیامبر اکرم :«هرکس از ما کمکی بخواهد ما به او کمک میکنیم,ولی اگر کسی دست نیاز پیش دیگران دراز نکند, خداوند او را بی نیاز خواهد ساخت»

آفلاین Aminavy

  • Sr. Member
  • *
  • ارسال: 485
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #11 : 18 اسفند 1400، 07:16 ب‌ظ »
همون بسته‌ای که پاک کردید رو دوباره نصب کنید درست میشه

آفلاین BiG

  • High Hero Member
  • *
  • ارسال: 1639
  • Windows 7 - Windows xp - Windows 11
پاسخ : مشکل اسنپ
« پاسخ #12 : 18 اسفند 1400، 07:20 ب‌ظ »
همون بسته‌ای که پاک کردید رو دوباره نصب کنید درست میشه
اینو که خودمم می دونستم منتها مشکل اینجاست با نصب این بسته دیگه وی اس کد اجرا نمیشه.
مشکل از جای دیگست.
خداحافظ لینوکس!

آفلاین Aminavy

  • Sr. Member
  • *
  • ارسال: 485
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #13 : 18 اسفند 1400، 07:31 ب‌ظ »
نه اون بسته ای که پاک کردید رو نباید پاک می‌کردید الآن سیستم به اون نیاز داره و میخواد از کتابخونه اشتراکی اون استفاده کنه ولی وجود نداره.
مثل اینکه اون بسته‌ای رو که حذف کردید با glibc کار داشت شما اون رو پاک کردین الان خود vscode هم نباید درست کار کنه احتمالا یه مشکلی پیش میاد
مشکل از خود vscode هست
« آخرین ویرایش: 18 اسفند 1400، 07:38 ب‌ظ توسط Aminavy »

آنلاین Dragon-

  • عضو کاربران ایرانی اوبونتو
  • *
  • ارسال: 3769
  • جنسیت : پسر
پاسخ : مشکل اسنپ
« پاسخ #14 : 18 اسفند 1400، 07:42 ب‌ظ »
نصبش کنید. یکی از بسته‌هایی هست که گنوم و برنامه‌های gtk بهش نیاز دارند. مشکل از خود vscode هست.
بسته‌ها رو از نسخه‌های مختلف اوبونتو مخلوط نکردید؟
میدونید که زکات علم نشر آن است